Bug 196620 - Review Request: perl-Algorithm-Annotate - represent a series of changes in annotate form
Review Request: perl-Algorithm-Annotate - represent a series of changes in an...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 196629
  Show dependency treegraph
 
Reported: 2006-06-25 21:49 EDT by Ian Burrell
Modified: 2008-06-12 13:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 02:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2006-06-25 21:49:04 EDT
Spec URL: http://znark.com/fedora/perl-Algorithm-Annotate.spec
SRPM URL: http://znark.com/fedora/perl-Algorithm-Annotate-0.10-1.src.rpm
Description: generates a list that is useful for generating output simliar to cvs annotate.

It is required by perl-SVK.
Comment 1 Ralf Corsepius 2006-06-25 23:41:03 EDT
Several mirror issues:

# rpmlint perl-Algorithm-Annotate-0.10-1.fc5.noarch.rpm
W: perl-Algorithm-Annotate summary-not-capitalized represent a series of changes
in annotate form
W: perl-Algorithm-Annotate spelling-error-in-description simliar similar
W: perl-Algorithm-Annotate invalid-license CHECK(GPL or Artistic)

* Empty %doc.

* Superfluous requires:
Requires:       perl(Algorithm::Diff) >= 1.15


Seems as if you missed to manually edit a generated spec file ;)

Please fix.
Comment 2 Ian Burrell 2006-06-28 02:32:18 EDT
I fixed the warnings.  There are no doc files included beyond the man page.  The
META.yml specifies a version for Algorithm::Diff so a versioned dependency is
proper.  Since only a newer version is available, the version probably doesn't
matter.

http://znark.com/fedora/perl-Algorithm-Annotate.spec
http://znark.com/fedora/perl-Algorithm-Annotate-0.10-3.src.rpm
Comment 3 Ralf Corsepius 2006-06-28 02:37:49 EDT
(In reply to comment #2)
> The
> META.yml specifies a version for Algorithm::Diff so a versioned dependency
The actual files contain no versioned dependency.

> Since only a newer version is available, the version probably doesn't
> matter.
Exactly. That's why I consider it superfluous.

Comment 4 Jason Tibbitts 2006-06-28 18:02:20 EDT
It's worse than superfluous.  You get this in the dependency list:

perl(Algorithm::Diff)
perl(Algorithm::Diff) >= 1.15

I have no problem with you specifying a specific version, although as far as I
can tell the earliest version that was ever in Extras was 1.19 so you shouldn't
need to worry.  If you really want to, however, you _must_ filter the
unversioned dependency generated by RPM.  Let me know if you need help doing this.

The package does build in mock; rpmlint has this to day:

W: perl-Algorithm-Annotate incoherent-version-in-changelog 0.10-2 0.10-3.fc6

You neglected to add a changelog entry for the last version bump.

Also, your %doc tag has no files.  I understand that there are none to ship, so
you should just remove it.

So I see three blockers.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   453395489640e28fc772944ef08d396b  Algorithm-Annotate-0.10.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
X final requires list has a duplicate entry:
   perl(Algorithm::Annotate) = 0.10
   perl-Algorithm-Annotate = 0.10-3.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
X  perl(Algorithm::Diff)
X  perl(Algorithm::Diff) >= 1.15
   perl(strict)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=3,  0 wallclock secs ( 0.02 cusr +  0.02 csys =  0.04 CPU)
* no scriptlets present.
* code, not content.
X no documentation, but empty %doc tag.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 6 Jason Tibbitts 2006-06-28 19:48:00 EDT
Three blockers are fixed:

No more versioned Algorithm::Diff dependency.
No empty %doc tag.
Changelog entries include versions.

APPROVED
Comment 7 Ian Burrell 2006-06-29 02:44:07 EDT
Built for devel.
Comment 8 Ian Burrell 2008-06-11 20:20:02 EDT
Package Change Request
======================
Package Name: perl-Algorithm-Annotate
New Branches: EL-4 EL-5
Comment 9 Kevin Fenzi 2008-06-12 11:54:53 EDT
cvs done.
Comment 10 R P Herrold 2008-06-12 13:24:43 EDT
Kevin -- I see this is closed, but CPAN carries this as license 'Unknown' at one
point, and Artistic down in the footer to the POD explosion sub-page

see: http://search.cpan.org/dist/Algorithm-Annotate/

Is this a problem?

-- Russ
Comment 11 Jason Tibbitts 2008-06-12 13:34:21 EDT
At the bottom of the POD you see:

"
Copyright 2003 by Chia-liang Kao <clkao@clkao.org>.

This program is free software; you can redistribute it and/or modify it under
the same terms as Perl itself.
"

This is "GPLv2+ or Artistic" which is valid for software in Fedora.

Note You need to log in before you can comment on or make changes to this bug.